Skip to main content
Resource Center/Hardware/Primary Storage Operations/Local Storage Operations
PUTLocal Storage OperationsSince 0.6SynchronousAuth Required

LocalStorageMigrateVolume

LocalStorageMigrateVolume

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • volumeUuidStringRequired

    The volume UUID.

Body Fields

  • localstoragemigratevolumeObjectRequired

    localstoragemigratevolume request body object.

    • destHostUuidStringRequired

      The UUID of the destination host.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The short description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLocalStorageResourceRefInventoryRequired

    See inventory.

    • resourceUuidStringRequired

      资源UUID。若指定,资源会使用该字段值作为UUID。

    • primaryStorageUuidStringRequired

      The local storage UUID.

    • hostUuidStringRequired

      The host UUID.

    • sizeLongRequired

      返回记录数。

    • resourceTypeStringRequired

      资源类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

Operation ID

LocalStorageMigrateVolume

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"localstoragemigratevolume":{"destHostUuid":"<destHostUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "resourceUuid": "bad5e950cf014275bf9ba6e4cfe78a97", "primaryStorageUuid": "81d893539a6b4ce7b9957c7a5d6c5df8", "hostUuid": "9d250b88ae90449db567cfa18a75fecc", "size": 2.4035328E7 } }

Change History

This API has no change history records yet.

View all change history